468,258 Members | 1,509 Online
Bytes | Developer Community
New Post

Home Posts Topics Members FAQ

Post your question to a community of 468,258 developers. It's quick & easy.

help! install DB2 On Redhat9 Segmentation Fault

I am trying to install DB2 UDB 8.1 on linux. I get the segmentation
fault on line 130 of db2jinst that others have mentioned.

I tried:
install on RH Fedora Core 2. got the seg fault error, tried
installing sun java 1.4.1 (or .2 - not sure) no help. THen I tried
booting to a non-SMP kernel - same error, tried using the
LD_ASSUME_KERNEL = 2.2.5 (that was suggested here) -- same error.

installed RH ES3.0 update 2 (which IS a validated platform for
DB2. Tried installing IBM's java 1.4.1 sdk to no avail.

Anyone have any ideas?

Also, when I try to run the DB2 fastpath tutorial for DBA's of other
databases, it starts, then says "loading audio ....." in the status
bar and hangs.
Same behavior on XP, firefox or ie. Linux mozilla.

Ken
Nov 12 '05 #1
2 3803
IBM Java 1.4.1 is not fully compatable with RHEL3. You need to use IBM
JAVA 1.4.2. Java 1.4.1 will run correctly only for the first GUI logon
to the system. This can be verified by executing the command "java
-version" from a command line. If you are having the problem I ran into,
then Java will hang and never return.

I did my install by copying the UDB CD to disk, replacing the included
Java with 1.4.2 then constructing a new CD.

IBM Java 1.4.2 was obtained from the RH web site. I believe that is is
part of the EL3 extras channel. Unfortunately, 1.4.2 didn't come with a
plugin for Mozilla. IBM Java 1.4.2 also uses the (new) RH "alternatives"
system. This makes it easy to change to/from Sun's or another Java.

Phil Sherman
Ken Shaffer wrote:
I am trying to install DB2 UDB 8.1 on linux. I get the segmentation
fault on line 130 of db2jinst that others have mentioned.

I tried:
install on RH Fedora Core 2. got the seg fault error, tried
installing sun java 1.4.1 (or .2 - not sure) no help. THen I tried
booting to a non-SMP kernel - same error, tried using the
LD_ASSUME_KERNEL = 2.2.5 (that was suggested here) -- same error.

installed RH ES3.0 update 2 (which IS a validated platform for
DB2. Tried installing IBM's java 1.4.1 sdk to no avail.

Anyone have any ideas?

Also, when I try to run the DB2 fastpath tutorial for DBA's of other
databases, it starts, then says "loading audio ....." in the status
bar and hangs.
Same behavior on XP, firefox or ie. Linux mozilla.

Ken


Nov 12 '05 #2
Phil -

THanks for the info. I'm out of town on a consulting gig, but I'll
try it when I get back. Thanks.

Ken
Nov 12 '05 #3

This discussion thread is closed

Replies have been disabled for this discussion.

Similar topics

9 posts views Thread by Tom | last post: by
4 posts views Thread by Sarir Khamsi | last post: by
2 posts views Thread by Sudheer Kareem | last post: by
6 posts views Thread by wukexin | last post: by
6 posts views Thread by d.warnermurray | last post: by
3 posts views Thread by Colin J. Williams | last post: by
reply views Thread by kermitthefrogpy | last post: by
reply views Thread by zattat | last post: by
By using this site, you agree to our Privacy Policy and Terms of Use.